/* REXX - the best dog of both century */
/*

  (C) 2006 Yuri Prokushev, eCo Software

  This file is example of PlatinumSchemeSuperLight scheme by WiZard
  generation with help of Scheme SOM class. Scheme SOM class aimed to
  store to and restore from file scheme items. Scheme class actually
  used by WPScheme class and Scheme editor for scheme file access.

*/

Parse Version . Level .
if level <= 4.00 then
do
  Say "Object REXX required"
  return
end

/* Import SOM Scheme class to REXX */
Scheme=.SOM~Import('Scheme')

/* Create scheme object */
xscheme=Scheme~new

/* Associate filename with scheme */
xscheme~_set_filename("MyScheme.sch")

/* Say 'we need store changes on Store method call or object destroing'.
If you want to save immediate, set to 1 (TRUE). Remember, saving on each
method call (Save Immediate mode) can be very slow, because greater disk
activity required */
xscheme~_set_saveimmediate(0)

/* Ok. Let's begin scheme creation. First of all, set name and author */
xscheme~_set_schemename('PlatinumSchemeSuperLight')
xscheme~_set_author('WiZard')


/* Second, set system colors */
xscheme~_set_sysclr_shadowhilitebgnd(rgb2d('222 228 234'))
xscheme~_set_sysclr_shadowhilitefgnd(rgb2d('80 110 143'))
xscheme~_set_sysclr_shadowtext(rgb2d('255 255 255'))
xscheme~_set_sysclr_entryfield(rgb2d('80 110 143'))
xscheme~_set_sysclr_menudisabledtext(rgb2d('222 228 234'))
xscheme~_set_sysclr_menuhilite(rgb2d('0 0 120'))
xscheme~_set_sysclr_menuhilitebgnd(rgb2d('120 125 131'))
xscheme~_set_sysclr_pagebackground(rgb2d('160 179 200'))
xscheme~_set_sysclr_fieldbackground(rgb2d('255 255 255'))
xscheme~_set_sysclr_buttonlight(rgb2d('222 228 234'))
xscheme~_set_sysclr_buttonmiddle(rgb2d('222 228 234'))
xscheme~_set_sysclr_buttondark(rgb2d('255 255 255'))
xscheme~_set_sysclr_buttondefault(rgb2d('222 228 234'))
xscheme~_set_sysclr_titlebottom(rgb2d('255 255 255'))
xscheme~_set_sysclr_shadow(rgb2d('80 110 143'))
xscheme~_set_sysclr_icontext(rgb2d('0 0 0'))
xscheme~_set_sysclr_dialogbackground(rgb2d('160 179 200'))
xscheme~_set_sysclr_hiliteforeground(rgb2d('255 255 255'))
xscheme~_set_sysclr_hilitebackground(rgb2d('0 0 0'))
xscheme~_set_sysclr_inactivetitletextbgnd(rgb2d('222 228 234'))
xscheme~_set_sysclr_activetitletextbgnd(rgb2d('150 163 178'))
xscheme~_set_sysclr_inactivetitletext(rgb2d('216 225 235'))
xscheme~_set_sysclr_activetitletext(rgb2d('150 163 178'))
xscheme~_set_sysclr_outputtext(rgb2d('222 228 234'))
xscheme~_set_sysclr_windowstatictext(rgb2d('130 145 163'))
xscheme~_set_sysclr_scrollbar(rgb2d('0 0 0'))
xscheme~_set_sysclr_background(rgb2d('160 179 200'))
xscheme~_set_sysclr_activetitle(rgb2d('0 0 0'))
xscheme~_set_sysclr_inactivetitle(rgb2d('140 157 175'))
xscheme~_set_sysclr_menu(rgb2d('255 255 255'))
xscheme~_set_sysclr_window(rgb2d('199 208 217'))
xscheme~_set_sysclr_windowframe(rgb2d('125 128 132'))
xscheme~_set_sysclr_menutext(rgb2d('125 128 132'))
xscheme~_set_sysclr_windowtext(rgb2d('255 255 0'))
xscheme~_set_sysclr_titletext(rgb2d('125 128 132'))
xscheme~_set_sysclr_activeborder(rgb2d('125 128 132'))
xscheme~_set_sysclr_inactiveborder(rgb2d('255 255 255'))
xscheme~_set_sysclr_appworkspace(rgb2d('255 255 255'))
xscheme~_set_sysclr_helpbackground(rgb2d('130 134 137'))
xscheme~_set_sysclr_helptext(rgb2d('80 110 143'))
xscheme~_set_sysclr_helphilite(rgb2d('0 0 0'))

/* Now, play with fonts */

xscheme~_set_font_menutext('9.WarpSans Bold')
xscheme~_set_font_titlebartext('9.WarpSans Bold')
xscheme~_set_font_windowtext('9.WarpSans Bold')
xscheme~_set_font_dialogtext('9.WarpSans Bold')
xscheme~_set_font_defaulttext('9.WarpSans Bold')

/* And pointers... But we have no any for this scheme, so skip this. */
/*
xscheme~_set_ptr_arrow('')
xscheme~_set_ptr_illegal('')
xscheme~_set_ptr_move('')
xscheme~_set_ptr_sizenesw('')
xscheme~_set_ptr_sizens('')
xscheme~_set_ptr_sizenwse('')
xscheme~_set_ptr_sizewe('')
xscheme~_set_ptr_wait('')
xscheme~_set_ptr_text('')
*/

/* Sounds. We have no any for this scheme. */
/*
xscheme~_set_snd_closewindow('')
xscheme~_set_snd_openwindow('')
xscheme~_set_snd_lock('')
xscheme~_set_snd_shutdown('')
xscheme~_set_snd_startup('')
xscheme~_set_snd_bell('')
xscheme~_set_snd_information('')
xscheme~_set_snd_dragstart('')
xscheme~_set_snd_dragend('')
xscheme~_set_snd_error('')
xscheme~_set_snd_printererror('')
xscheme~_set_snd_warning('')
xscheme~_set_snd_shredder('')
xscheme~_set_snd_restartwps('')
xscheme~_set_snd_contextmenu('')
xscheme~_set_snd_menuitem('')
xscheme~_set_snd_folderdblclick('')
xscheme~_set_snd_globalhotkey('')
*/

/* Now, set up windows controls and titlebar buutons */
xscheme~_set_btn_systemmenu('systemmenu.bmp')
xscheme~_set_btn_minimize('minimize.bmp')
xscheme~_set_btn_maximize('maximize.bmp')
xscheme~_set_btn_restore('restore.bmp')
xscheme~_set_btn_hide('hide.bmp')
xscheme~_set_btn_close('close.bmp')
xscheme~_set_btn_pressedsystemmenu('pressedsystemmenu.bmp')
xscheme~_set_btn_pressedminimize('pressedminimize.bmp')
xscheme~_set_btn_pressedmaximize('pressedmaximize.bmp')
xscheme~_set_btn_pressedrestore('pressedrestore.bmp')
xscheme~_set_btn_pressedhide('pressedhide.bmp')
xscheme~_set_btn_pressedclose('pressedclose.bmp')
xscheme~_set_btn_checkbox('checkbox.bmp')
xscheme~_set_btn_checkedcheckbox('checkedcheckbox.bmp')
xscheme~_set_btn_radio('radio.bmp')
xscheme~_set_btn_checkedradio('checkedradio.bmp')
xscheme~_set_btn_pressedcheckbox('pressedcheckbox.bmp')
xscheme~_set_btn_pressedcheckedcheckbox('pressedcheckedcheckbox.bmp')
xscheme~_set_btn_pressedradio('pressedradio.bmp')
xscheme~_set_btn_pressedcheckedradio('pressedcheckedradio.bmp')

/* Active titlebar voodoo... */

/* Type: 0=Solid (default), 1=Gradient, 2=Bitmap */
xscheme~_set_tb_active_type(1)

/* Alignment 0=Left (default), 1=Center, 2=Right */
xscheme~_set_tb_active_alignment(1)

/*
 1=Yes (default), 0=No. If 3D Text used then text background is same as
 titlebar color and 3D shadow color is text backgound color.
*/
xscheme~_set_tb_active_3dtext(1)

/* 1=Yes, 0=No (default) */
xscheme~_set_tb_active_3dborder(0)

/* filename of titlebar bitmap */
xscheme~_set_tb_active_bitmap('')

/* 1=Scaled (default), 0=Tiled */
xscheme~_set_tb_active_bitmaptype(1)

/*
 1=Double (default), 0=Single. Gradient one color is titlebar color,
 second color is border color.
*/
xscheme~_set_tb_active_gradienttype(1)

/* Inactive titlebar voodoo... */

/* Type: 0=Solid (default), 1=Gradient, 2=Bitmap */
xscheme~_set_tb_inactive_type(1)

/* Alignment 0=Left (default), 1=Center, 2=Right */
xscheme~_set_tb_inactive_alignment(1)

/*
 1=Yes (default), 0=No. If 3D Text used then text background is same as
 titlebar color and 3D shadow color is text backgound color.
*/
xscheme~_set_tb_inactive_3dtext(1)

/* 1=Yes, 0=No (default) */
xscheme~_set_tb_inactive_3dborder(0)

/* filename of titlebar bitmap */
xscheme~_set_tb_inactive_bitmap('')

/* 1=Scaled (default), 0=Tiled */
xscheme~_set_tb_inactive_bitmaptype(1)

/*
 1=Double (default), 0=Single. Gradient one color is titlebar color,
 second color is border color.
*/
xscheme~_set_tb_inactive_gradienttype(1)

/* filename */
xscheme~_set_tb_inactive_bitmap('')

/* Push bottons */
/* 0=bitmap 1=solid */
xscheme~_set_btn_type(0)
xscheme~_set_btn_bitmap('oblique.bmp')
/* 0=bitmap 1=solid */
xscheme~_set_btn_default_type(0)
xscheme~_set_btn_default_bitmap('oblique.bmp')
/* 0=bitmap 1=solid */
xscheme~_set_btn_disabled_type(0)
xscheme~_set_btn_disabled_bitmap('oblique.bmp')

/* WPS Objects setup strings. We have no any for this scheme. */
/*
  attribute doublestringSequence WPSObjects;
*/

/* And default setup strings for classes. We have no any for this scheme.  */
/*
  attribute doublestringSequence WPSClasses;
*/

/* We at the end. Store scheme... */
xscheme~store
/* ...and exit. */
return

/* Procedure to convert RGB string to digit value */
rgb2d: procedure
  arg s
  parse value s with r " " g " " b
return (r * 65536) + (g * 256) + b
